       IDENTIFICATION DIVISION.
      *
       PROGRAM-ID. WINSAMP.
      *
      ***************************************************
      *                                                 *
      *    THIS PROGRAM USES THE WINDOWS.OBJ FILE TO    *
      *    SHOW A WINDOW ON THE SCREEN AND SAVE AND     *
      *    RESTORE THE SCREEN.                          *
      *                                                 *
      ***************************************************
      *
      *
       ENVIRONMENT DIVISION.
      *
      *
       DATA DIVISION.
      *
      *
      ****************************************************
      *                                                  *
       WORKING-STORAGE SECTION.
      *                                                  *
      ****************************************************
      *
      *
        01  W005-MESSAGE-FIELD             PIC X(42).
      *
        01  WINDOW-DESCRIPTION.
             03  ROW               PIC 99 COMP-0 VALUE 02.
             03  mycol             PIC 99 COMP-0 VALUE 02.
             03  width-box         pic 99 comp-0 value 30.
             03  height-box        pic 99 comp-0 value 06.
             03  attr              pic 999 comp-0 value 15.
             03  SND               PIC 9 COMP-0 VALUE 1.
      *
        01  saverestore.
             03  save         pic x value "S".
             03  restore      pic x value "R".

        SCREEN SECTION.

        01 SCREEN1.
           05 LINE 7 COLUMN 7 VALUE "Text inside the window".
           05 LINE 8 COLUMN 7 VALUE "Please press enter now".

      *
       PROCEDURE DIVISION.
      *
        DISPLAY-WINDOW.
           CALL "window" using row mycol width-box height-box attr snd.
           DISPLAY SCREEN1.
           ACCEPT W005-MESSAGE-FIELD.

        SAVESCREEN.
           CALL "savrst" using save.

        DISPLAY-ACCEPTED-MESSAGE.
           MOVE "Please type some text and press enter"
           to W005-MESSAGE-FIELD.
           DISPLAY W005-MESSAGE-FIELD.
           ACCEPT W005-MESSAGE-FIELD.
           DISPLAY W005-MESSAGE-FIELD.

        RESTORESCREEN.
           CALL "savrst" using restore.
           STOP RUN.
